> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clicker.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Follow Address

> For a given address, follow one or more target addresses. Following an address will automatically follow the whole profile and all their other addresses. The given address will then see those targets' activity in their feed. Note: For performance, returned profiles exclude social metrics (follower counts, copytrade stats). Use the Get Profile endpoint for full metrics.



## OpenAPI

````yaml PUT /v1/addresses/{addressOrUid}/follow
openapi: 3.0.0
info:
  version: 1.0.0
  title: Daylight.xyz API
  description: >-
    Welcome to the Daylight API! API endpoints require a Daylight partner API
    key passed in the HTTP Authorization header.
servers:
  - url: https://api.clicker.xyz
security:
  - {}
  - bearerAuth: []
paths:
  /v1/addresses/{addressOrUid}/follow:
    put:
      tags:
        - Social - Feed, Profiles and Discovery
      summary: Follow an address
      description: >-
        For a given address, follow one or more target addresses. Following an
        address will automatically follow the whole profile and all their other
        addresses. The given address will then see those targets' activity in
        their feed. Note: For performance, returned profiles exclude social
        metrics (follower counts, copytrade stats). Use the Get Profile endpoint
        for full metrics.
      parameters:
        - schema:
            type: string
          required: true
          name: addressOrUid
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                targets:
                  type: array
                  items:
                    type: string
              required:
                - targets
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  targetProfiles:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        images:
                          type: object
                          properties:
                            raw:
                              type: string
                              nullable: true
                              description: The full-sized image
                            xs:
                              type: string
                              nullable: true
                              description: 75x75
                            sm:
                              type: string
                              nullable: true
                              description: 300x300
                          required:
                            - raw
                            - xs
                            - sm
                          description: URLs for different size squares.
                        addresses:
                          type: array
                          items:
                            type: string
                        externalId:
                          type: string
                        metadata:
                          type: object
                          properties:
                            farcasterUsername:
                              type: string
                              nullable: true
                            farcasterId:
                              type: number
                              nullable: true
                            lensHandle:
                              type: string
                              nullable: true
                            ensName:
                              type: string
                              nullable: true
                            twitterHandle:
                              type: string
                              nullable: true
                            debankName:
                              type: string
                              nullable: true
                            hlName:
                              type: string
                              nullable: true
                            commentCount30d:
                              type: number
                              nullable: true
                            pnl30d:
                              type: number
                              nullable: true
                            winRate30d:
                              type: number
                              nullable: true
                            tradeCount30d:
                              type: number
                              nullable: true
                            roiPercent30d:
                              type: number
                              nullable: true
                            pnl7d:
                              type: number
                              nullable: true
                            winRate7d:
                              type: number
                              nullable: true
                            tradeCount7d:
                              type: number
                              nullable: true
                            roiPercent7d:
                              type: number
                              nullable: true
                            medianHoldingTimeMinutes:
                              type: number
                              nullable: true
                          required:
                            - farcasterUsername
                            - farcasterId
                            - lensHandle
                            - ensName
                            - twitterHandle
                            - debankName
                            - hlName
                            - commentCount30d
                            - pnl30d
                            - winRate30d
                            - tradeCount30d
                            - roiPercent30d
                            - pnl7d
                            - winRate7d
                            - tradeCount7d
                            - roiPercent7d
                            - medianHoldingTimeMinutes
                        isNSFW:
                          anyOf:
                            - type: boolean
                              enum:
                                - false
                            - type: object
                              properties:
                                nsfwImage:
                                  type: boolean
                                nsfwText:
                                  type: boolean
                              required:
                                - nsfwImage
                                - nsfwText
                          description: >-
                            `false` when the profile is clean. Otherwise an
                            object with `nsfwImage` and `nsfwText` booleans
                            indicating which axes the scanner flagged. Clients
                            decide whether to render, censor, or hide the
                            underlying content.
                      required:
                        - id
                        - name
                        - images
                        - addresses
                        - metadata
                        - isNSFW
                required:
                  - targetProfiles
        '400':
          description: >-
            The request payload or query string parameter you passed was not
            valid
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '404':
          description: The item you requested could not be found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````